Subject: Re: PMP> Definitions of Active, Busy, Idle, Standby

From: [email-masked] (Bill Wagner)
Date: Thu, 13 Mar 1997 20:02:28 -0500

The December version of the MIB, released as an internet draft, has 
     the following. Why are we going over this again? Did I miss a phone 
     conference?
     
     Bill Wagner

     Standby - The printer or sub-unit is unavailable for use because it is 
     partially powered down and may need some period of time to become 
     fully operational again.  A unit in Standby state shall respond to 
     network management requests.
     
     Available - The printer or subunit is functioning normally.
     Idle - The printer or subunit is not processing any print jobs
     
     Active - The printer or subunit is working on one or more print jobs
     
     Busy - The printer or subunit is "Active" and has also reached a 
     resource threshold whereby it will not accept any new print jobs for a 
     finite period of time. The expected next state transition from the 
     "busy" state is to the "active" state, implying that resources are 
     again available to accept new print jobs.

     

______________________________ Reply Separator _________________________________
Subject: PMP> Definitions of Active, Busy, Idle, Standby
Author:  Lloyd Young <[email-masked]> at Internet
Date:    3/13/97 7:47 PM

I had an issue to refine the defintions of active, busy, idle 
and standby.
     
Active: the printer or subunit is performing it's primary function.
     
Busy: the printer or subunit is performing a function (not necessarily 
it's primary function) and is not immediately available for it's 
primary function.
     
Idle: the printer or subunit is immediately available and waiting 
for instructions.
     
Standby: the printer or subunit is not immediately available but is 
waiting for instructions.
     
Lloyd Young                       Lexmark International, Inc. 
Senior Program Manager            Dept. C14L/Bldg. 035-3 
Strategic Alliances               740 New Circle Road NW 
internet: [email-masked]     Lexington, KY 40550
Phone: (606) 232-5150             Fax: (606) 232-6740

---

From: Chuck Adams <[email-masked]>
Date: Thu, 13 Mar 1997 17:11:26 -0800

>      again available to accept new print jobs.

I like Bill's suggestion with one minor change. 

The expected next state transition from the "busy" state is to the
"active" or "available" state,
implying that resources are again available to accept new print jobs.

Chuck Adams